org.gradle.api.attributes

## Interface HasAttributes

- All Known Subinterfaces:
    ArtifactTypeDefinition, ArtifactView, ArtifactView.ViewConfiguration, AttributeContainer, ClientModule, ComponentMetadata, ComponentMetadataDetails, Configuration, ConfigurationPublications, ConfigurationVariant, DependencyConstraint, ExternalDependency, ExternalModuleDependency, HasConfigurableAttributes<SELF>, ModuleDependency, ProjectDependency, ResolvableDependencies, VariantMetadata

      @Incubating
      public interface HasAttributes

  Represents something that carries attributes by utilizing an `AttributeContainer`
  Since:
    3.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeContainer` | `getAttributes()` Returns the attributes

- - ### Method Detail

    - #### getAttributes

          @Incubating
          AttributeContainer getAttributes()

      Returns the attributes